stages:
  - build
  - deploy
  
build:
  stage: build
  image: maven
  script:
    - chmod +x mvnw
    - ./mvnw package
  artifacts:
    paths:
      - target/main-0.0.1-SNAPSHOT.jar

deploy:
  stage: deploy
  before_script:
    - gem install faraday -v 1.9.3
    - gem install dpl
  script: 
    - dpl --provider=heroku --app=sqrhomework1nt --api-key=$HEROKU_API_KEY
  only: 
    - master

